Skip to content
Start here

Update Stream

client.pipelines.streams.update(stringstreamId, StreamUpdateParams { account_id, http, worker_binding } params, RequestOptionsoptions?): StreamUpdateResponse { id, created_at, http, 6 more }
PATCH/accounts/{account_id}/pipelines/v1/streams/{stream_id}

Update a Stream.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
streamId: string

Specifies the public ID of the stream.

maxLength32
minLength32
params: StreamUpdateParams { account_id, http, worker_binding }
account_id: string

Path param: Specifies the public ID of the account.

http?: HTTP

Body param

authentication: boolean

Indicates that authentication is required for the HTTP endpoint.

enabled: boolean

Indicates that the HTTP endpoint is enabled.

cors?: CORS { origins }

Specifies the CORS options for the HTTP endpoint.

origins?: Array<string>
worker_binding?: WorkerBinding

Body param

enabled: boolean

Indicates that the worker binding is enabled.

ReturnsExpand Collapse
StreamUpdateResponse { id, created_at, http, 6 more }
id: string

Indicates a unique identifier for this stream.

created_at: string
formatdate-time
http: HTTP { authentication, enabled, cors }
authentication: boolean

Indicates that authentication is required for the HTTP endpoint.

enabled: boolean

Indicates that the HTTP endpoint is enabled.

cors?: CORS { origins }

Specifies the CORS options for the HTTP endpoint.

origins?: Array<string>
modified_at: string
formatdate-time
name: string

Indicates the name of the Stream.

maxLength128
minLength1
version: number

Indicates the current version of this stream.

worker_binding: WorkerBinding { enabled }
enabled: boolean

Indicates that the worker binding is enabled.

endpoint?: string

Indicates the endpoint URL of this stream.

formaturi
format?: Json { type, decimal_encoding, timestamp_format, unstructured } | Parquet { type, compression, row_group_bytes }
One of the following:
Json { type, decimal_encoding, timestamp_format, unstructured }
type: "json"
decimal_encoding?: "number" | "string" | "bytes"
One of the following:
"number"
"string"
"bytes"
timestamp_format?: "rfc3339" | "unix_millis"
One of the following:
"rfc3339"
"unix_millis"
unstructured?: boolean
Parquet { type, compression, row_group_bytes }
type: "parquet"
compression?: "uncompressed" | "snappy" | "gzip" | 2 more
One of the following:
"uncompressed"
"snappy"
"gzip"
"zstd"
"lz4"
row_group_bytes?: number | null
formatint64
minimum0

Update Stream

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const stream = await client.pipelines.streams.update('033e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
});

console.log(stream.id);
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "2019-12-27T18:11:19.117Z",
    "http": {
      "authentication": false,
      "enabled": true,
      "cors": {
        "origins": [
          "string"
        ]
      }
    },
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "my_stream",
    "version": 3,
    "worker_binding": {
      "enabled": true
    },
    "endpoint": "https://01234567890123457689012345678901.ingest.cloudflare.com/v1",
    "format": {
      "type": "json",
      "decimal_encoding": "number",
      "timestamp_format": "rfc3339",
      "unstructured": true
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "2019-12-27T18:11:19.117Z",
    "http": {
      "authentication": false,
      "enabled": true,
      "cors": {
        "origins": [
          "string"
        ]
      }
    },
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "my_stream",
    "version": 3,
    "worker_binding": {
      "enabled": true
    },
    "endpoint": "https://01234567890123457689012345678901.ingest.cloudflare.com/v1",
    "format": {
      "type": "json",
      "decimal_encoding": "number",
      "timestamp_format": "rfc3339",
      "unstructured": true
    }
  },
  "success": true
}